Update Comment
PATCH
/api/v1/tasks/{task_id}/comments/{comment_id}Authorization
AuthorizationBearer token · headerrequiredor
AuthorizationOAuth2 access token · headerrequiredPath parameters
task_idstringrequiredcomment_idstringrequiredRequest body
requiredapplication/jsonbodystringrequiredmin length 1 · max length 2000
mentioned_user_idsstring[]Responses
200Successful Response
successbooleandefault: true
dataComment | anyShow propertiesHide properties
Any of:
Comment
idstringschema_versionintegerdefault: 1
entity_typeEntityTyperequiredAllowed:
taskentity_idstringrequiredauthor_idstringrequiredbodystringrequiredmentioned_user_idsstring[]reactionsobjectcreated_atstring<date-time>updated_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anydeleted_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyany
anymessagestring | anyShow propertiesHide properties
Any of:
string
stringany
anyerrorsstring[] | anyShow propertiesHide properties
Any of:
string[]
Array of
stringstringany
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobjectRequest
curl -X PATCH "/api/v1/tasks/string/comments/string" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"body": "string",
"mentioned_user_ids": [
"string"
]
}'const response = await fetch("/api/v1/tasks/string/comments/string", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"body": "string",
"mentioned_user_ids": [
"string"
]
})
});import requests
response = requests.patch(
"/api/v1/tasks/string/comments/string",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"body": "string",
"mentioned_user_ids": [
"string"
]
},
)Response
{
"success": true,
"data": {
"id": "string",
"schema_version": 1,
"entity_type": "task",
"entity_id": "string",
"author_id": "string",
"body": "string",
"mentioned_user_ids": [
"string"
],
"reactions": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
},
"message": "string",
"errors": [
"string"
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}